TrcStackElemCtxt Class Reference

`#include <trc_etmv4_stack_elem.h>`

Inheritance diagram for TrcStackElemCtxt:
[legend]
Collaboration diagram for TrcStackElemCtxt:
[legend]

## Public Member Functions

void | setContext (const etmv4_context_t &ctxt)
const etmv4_context_t & | getContext () const
void | setIS (const uint8_t IS)
const uint8_t | getIS () const
Public Member Functions inherited from TrcStackElem
| TrcStackElem (const p0_elem_t p0_type, const bool isP0, const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElem ()
const p0_elem_t | getP0Type () const
const ocsd_etmv4_i_pkt_type | getRootPkt () const
const ocsd_trc_index_t | getRootIndex () const
const bool | isP0 () const

## Protected Member Functions

| TrcStackElemCtxt (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElemCtxt ()

## Friends

class | EtmV4P0Stack

## Additional Inherited Members

Protected Attributes inherited from TrcStackElem
bool | m_is_P0

## Detailed Description

Context element

Definition at line 125 of file trc_etmv4_stack_elem.h.

## Constructor & Destructor Documentation

## TrcStackElemCtxt()

TrcStackElemCtxt::TrcStackElemCtxt | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index
| ) |  |

inline protected

Definition at line 144 of file trc_etmv4_stack_elem.h.

## ~TrcStackElemCtxt()

virtual TrcStackElemCtxt::~TrcStackElemCtxt | ( |  | ) |

inline protected virtual

Definition at line 129 of file trc_etmv4_stack_elem.h.

## Member Function Documentation

## getContext()

const etmv4_context_t& TrcStackElemCtxt::getContext | ( |  | ) | const

inline

Definition at line 135 of file trc_etmv4_stack_elem.h.

## getIS()

const uint8_t TrcStackElemCtxt::getIS | ( |  | ) | const

inline

Definition at line 137 of file trc_etmv4_stack_elem.h.

## setContext()

void TrcStackElemCtxt::setContext | ( | const etmv4_context_t & | ctxt | ) |

inline

Definition at line 134 of file trc_etmv4_stack_elem.h.

## setIS()

void TrcStackElemCtxt::setIS | ( | const uint8_t | IS | ) |

inline

Definition at line 136 of file trc_etmv4_stack_elem.h.

## Friends And Related Function Documentation

## EtmV4P0Stack

friend class EtmV4P0Stack

friend

Definition at line 129 of file trc_etmv4_stack_elem.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/opencsd/etmv4/trc_etmv4_stack_elem.h